# $Revision: 1.16.2.1 $, $Date: 2007/01/01 21:24:38 $
Summary:	Dynamic swapping manager for Linux
Summary(pl):	Program zarzdzajcy dynamicznym swapowaniem dla Linuksa
Name:		swapd
Version:	0.2
Release:	8
License:	GPL v2+
Group:		Daemons
Source0:	ftp://ftp.linux.hr/pub/swapd/%{name}-%{version}.tar.gz
# Source0-md5:	5ae232ee69130426b595ba90c81eca4e
Source1:	%{name}.init
Patch0:		%{name}-gcc33.patch
Patch1:		%{name}-confdir.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-man.patch
Patch4:		%{name}-meminfo_2.6.patch
URL:		http://cvs.linux.hr/swapd/
BuildRequires:	autoconf
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_swapfilesdir	%{_localstatedir}/lib/%{name}

%description
swapd is a dynamic swapping manager for Linux. It provides the system
with as much swap space (virtual memory) as is required at a
particular time by dynamically creating swap files. This is more
convinient than using fixed swap files and/or partitions because they
  (a) are unused most of the time and are just taking up disk space,
  (b) provide a limited amount of virtual memory.

%description -l pl
swapd to program zarzdzajcy dynamicznym swapowaniem dla Linuksa.
Dostarcza systemowi tak objto swapu (pamici wirtualnej), jaka
jest w danej chwili potrzebna, poprzez dynamiczne tworzenie plikw
swap. Jest to bardziej wygodne ni uywanie staych plikw i/lub
partycji swap, poniewa:
  (a) s one nie uywane przez wikszo czasu i tylko zajmuj miejsce,
  (b) daj ograniczon ilo pamici wirtualnej.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
gunzip %{_builddir}/%{name}-%{version}/%{name}.8.gz
%patch3 -p1
%patch4 -p1

%build
%{__autoconf}
%configure
%{__make} \
	CFLAGS="%{rpmcflags} -Wall -I."

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,%{_sysconfdir}/%{name}} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/rc.d/init.d,%{_swapfilesdir}}

install %{name} $RPM_BUILD_ROOT%{_sbindir}
install %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start swap daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop 1>&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
# INSTALL may be useful (contains configuration instructions)
%doc CHANGELOG INSTALL README
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %dir %{_swapfilesdir}
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: swapd.spec,v $
Revision 1.16.2.1  2007/01/01 21:24:38  undefine
- add patch swapd-meminfo_2.6.patch which fix works on kernels 2.5+
- release 8
- stbr AC

Revision 1.16  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.15  2003/09/16 01:18:49  twittner
- Release 6

Revision 1.14  2003/09/14 20:41:32  blues
- release 5

Revision 1.13  2003/09/14 20:38:54  blues
- standarization

Revision 1.12  2003/08/25 18:56:20  twittner
- cosmetisc: removed leading spaces from my commitmessages.

Revision 1.11  2003/08/24 19:28:21  twittner
- added patches for manpage and configuration file instead patching
- them by sed in spec file directly (pointed by Pawel Golaszewski).

Revision 1.10  2003/08/24 13:28:41  twittner
- now swap files default are created in /var/lib/swapd
- (pointed by Pawel Golaszewski).

Revision 1.9  2003/08/23 12:44:43  qboosh
- fixed post/preun

Revision 1.8  2003/08/23 01:51:34  twittner
- removed TODO: now swap files are located in /tmp .
- removed redundant Requires: /bin/awk (rc-scripts contains it).

Revision 1.7  2003/08/22 15:01:53  ankry
- attributr fix

Revision 1.6  2003/08/22 12:20:53  twittner
- small change, TODO about FHS

Revision 1.5  2003/08/22 10:25:42  twittner
- added initscript
- release 4

Revision 1.4  2003/08/19 09:23:08  gotar
- BR: autoconf,
- added gcc33 and confdir patches,
- release 2.

Revision 1.3  2003/05/28 13:02:07  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 06:27:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/12/27 23:23:43  qboosh
- new
